/// <reference types="node" />
import { SchemaRegistry } from '@kafkajs/confluent-schema-registry';
export * from '@kafkajs/confluent-schema-registry';
export declare class DomainSchema<T> {
    readonly schema: string;
    protected registryId: number;
    constructor(schema?: string);
    encode(value: T): Promise<Buffer>;
    decode(value: Buffer): Promise<T>;
}
export declare class Registry {
    private static self;
    private registry;
    private constructor();
    static init(url: string, overrides?: any): void;
    static get instance(): SchemaRegistry;
}
